import request from "@/utils/request";
import { Order_BaseUrl } from "@/api/config";
const baseURL = Order_BaseUrl + "/admin/data/summary";
// 数据统计
const Api = {
  // 营业板块-上半部分
  trade(params: any) {
    return request<any>({
      url: `${baseURL}/trade`,
      method: "get",
      params
    });
  },
  // 商品销售 右下
  productSaleDate(params: any) {
    return request<any>({
      url: `${baseURL}/productSaleDate`,
      method: "get",
      params
    });
  },
  // 销售趋势柱状图 左下
  dateAmount(params: any) {
    return request<any>({
      url: `${baseURL}/dateAmount`,
      method: "get",
      params
    });
  },
  // 支付占比饼图 左下
  datePayType(params: any) {
    return request<any>({
      url: `${baseURL}/datePayType`,
      method: "get",
      params
    });
  },
  // 毛利率/净利率 柱状图 左下下
  profitRateBarChart(params: any) {
    return request<any>({
      url: `${baseURL}/profitRateBarChart`,
      method: "get",
      params
    });
  },
  // 成本折线图 右下下
  costLineChart(params: any) {
    return request<any>({
      url: `${baseURL}/costLineChart`,
      method: "get",
      params
    });
  },
};

export default Api;

